Skip to content
Start here

Create build token

POST/accounts/{account_id}/builds/tokens

Create a new build authentication token

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Workers CI Write
Path ParametersExpand Collapse
account_id: string

Account identifier.

Body ParametersJSONExpand Collapse
build_token_name: string
build_token_secret: string
cloudflare_token_id: string
ReturnsExpand Collapse
errors: array of object { code, message }
code: optional number
message: optional string
messages: array of string
result: object { build_token_name, build_token_uuid, cloudflare_token_id, owner_type }
build_token_name: optional string
build_token_uuid: optional string

Build token UUID.

formatuuid
cloudflare_token_id: optional string
owner_type: optional string
success: boolean
result_info: optional object { count, page, per_page, 2 more }
count: optional number
page: optional number
per_page: optional number
total_count: optional number
total_pages: optional number

Create build token

curl https://api.cloudflare.com/client/v4/accounts/$ACCOUNT_ID/builds/tokens \
    -H 'Content-Type: application/json' \
    -H "Authorization: Bearer $CLOUDFLARE_API_TOKEN" \
    -d '{
          "build_token_name": "My Build Token",
          "build_token_secret": "super-secret-token",
          "cloudflare_token_id": "cf-token-123"
        }'
{
  "errors": [
    {
      "code": 12000,
      "message": "Not found"
    }
  ],
  "messages": [
    "string"
  ],
  "result": {
    "build_token_name": "My Build Token",
    "build_token_uuid": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
    "cloudflare_token_id": "cf-token-123",
    "owner_type": "user"
  },
  "success": true,
  "result_info": {
    "count": 25,
    "page": 1,
    "per_page": 50,
    "total_count": 150,
    "total_pages": 3
  }
}
Returns Examples
{
  "errors": [
    {
      "code": 12000,
      "message": "Not found"
    }
  ],
  "messages": [
    "string"
  ],
  "result": {
    "build_token_name": "My Build Token",
    "build_token_uuid": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
    "cloudflare_token_id": "cf-token-123",
    "owner_type": "user"
  },
  "success": true,
  "result_info": {
    "count": 25,
    "page": 1,
    "per_page": 50,
    "total_count": 150,
    "total_pages": 3
  }
}